View Issue Details

IDProjectCategoryView StatusLast Update
0002157Ham Radio DeluxeBugpublic2017-08-05 18:27
ReporterK7ZCZ 
Assigned ToK7ZCZ 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
PlatformIntel i7-5960XOSWindows 10 Professional x64OS Version1703
Product Version6.4.0.660 
Target VersionFixed in Version6.4.0.671 
Summary0002157: Logbook: crashes when closing with "Print Awards Preview" active
DescriptionThe Logbook app crashes when closing with the "Print Awards Preview" window active
Steps To Reproduce1) Start Logbook
2) Get your favorite database open
3) Click "Print Awards Preview" in the "File" menu
4) Click "Continue" on the resulting "Print Preview Options" dialog
5) Once the logbook cover page window is open, use the "Exit" command in the "File" menu to close the app

BUG#1) Crashes.

AFACIT, this is because the frame window is working on the view, but the view has already closed or is otherwise invalid. We're looking at memory that's already been deleted and crash there. The attached screenshot is from a debug build.
Additional Information> HRDLogbook.exe!ATL::CSimpleStringT<wchar_t,0>::CloneData(ATL::CStringData * pData=0xcdcdcdbd) Line 882 C++
     HRDLogbook.exe!ATL::CSimpleStringT<wchar_t,0>::CSimpleStringT<wchar_t,0>(const ATL::CSimpleStringT<wchar_t,0> & strSrc={...}) Line 213 C++
     HRDLogbook.exe!ATL::CStringT<wchar_t,StrTraitMFC<wchar_t,ATL::ChTraitsCRT<wchar_t> > >::CStringT<wchar_t,StrTraitMFC<wchar_t,ATL::ChTraitsCRT<wchar_t> > >(const ATL::CStringT<wchar_t,StrTraitMFC<wchar_t,ATL::ChTraitsCRT<wchar_t> > > & strSrc={...}) Line 989 C++
     HRDLogbook.exe!CXMLMgr::AddAttribute(IXMLDOMElement * pElement=0x12f9fa50, const ATL::CStringT<wchar_t,StrTraitMFC<wchar_t,ATL::ChTraitsCRT<wchar_t> > > & strName={...}, const ATL::CStringT<wchar_t,StrTraitMFC<wchar_t,ATL::ChTraitsCRT<wchar_t> > > & strInput={...}) Line 1922 C++
     HRDLogbook.exe!CMainFrame::SaveLayout() Line 3438 C++
     HRDLogbook.exe!CMainFrame::OnClose() Line 2206 C++
     HRDLogbook.exe!CWnd::OnWndMsg(unsigned int message=16, unsigned int wParam=0, long lParam=0, long * pResult=0x03b3da4c) Line 2448 C++
     HRDLogbook.exe!CXTPCommandBarsSiteBase<CMDIFrameWnd>::OnWndMsg(unsigned int message=16, unsigned int wParam=0, long lParam=0, long * pResult=0x03b3da4c) Line 191 C++
     HRDLogbook.exe!CWnd::WindowProc(unsigned int message=16, unsigned int wParam=0, long lParam=0) Line 2094 C++
     HRDLogbook.exe!AfxCallWndProc(CWnd * pWnd=0x0f131040, HWND__ * hWnd=0x0007121e, unsigned int nMsg=16, unsigned int wParam=0, long lParam=0) Line 282 C++
     HRDLogbook.exe!AfxWndProc(HWND__ * hWnd=0x0007121e, unsigned int nMsg=16, unsigned int wParam=0, long lParam=0) Line 435 C++
     [External Code]
     HRDLogbook.exe!CXTPHookManager::HookWndProc(HWND__ * hWnd=0x0007121e, unsigned int message=16, unsigned int wParam=0, long lParam=0) Line 267 C++
     [External Code]
     HRDLogbook.exe!CWnd::SendMessageW(unsigned int message=16, unsigned int wParam=0, long lParam=0) Line 32 C++
     HRDLogbook.exe!CWinApp::OnAppExit() Line 24 C++
     HRDLogbook.exe!_AfxDispatchCmdMsg(CCmdTarget * pTarget=0x028b3b60, unsigned int nID=57665, int nCode=0, void (void) * pfn=0x00a0f451, void * pExtra=0x00000000, unsigned int nSig=58, AFX_CMDHANDLERINFO * pHandlerInfo=0x00000000) Line 77 C++
     HRDLogbook.exe!CCmdTarget::OnCmdMsg(unsigned int nID=57665, int nCode=0, void * pExtra=0x00000000, AFX_CMDHANDLERINFO * pHandlerInfo=0x00000000) Line 373 C++
     HRDLogbook.exe!CFrameWnd::OnCmdMsg(unsigned int nID=57665, int nCode=0, void * pExtra=0x00000000, AFX_CMDHANDLERINFO * pHandlerInfo=0x00000000) Line 989 C++
     HRDLogbook.exe!CWnd::OnCommand(unsigned int wParam=57665, long lParam=0) Line 2784 C++
     HRDLogbook.exe!CFrameWnd::OnCommand(unsigned int wParam=57665, long lParam=0) Line 384 C++
     HRDLogbook.exe!CWnd::OnWndMsg(unsigned int message=273, unsigned int wParam=57665, long lParam=0, long * pResult=0x03b3e394) Line 2108 C++
     HRDLogbook.exe!CXTPCommandBarsSiteBase<CMDIChildWnd>::OnWndMsg(unsigned int message=273, unsigned int wParam=57665, long lParam=0, long * pResult=0x03b3e394) Line 191 C++
     HRDLogbook.exe!CWnd::WindowProc(unsigned int message=273, unsigned int wParam=57665, long lParam=0) Line 2094 C++
     HRDLogbook.exe!AfxCallWndProc(CWnd * pWnd=0x0bbac718, HWND__ * hWnd=0x0029115c, unsigned int nMsg=273, unsigned int wParam=57665, long lParam=0) Line 282 C++
     HRDLogbook.exe!CMDIFrameWnd::OnCommand(unsigned int wParam=57665, long lParam=0) Line 44 C++
     HRDLogbook.exe!CWnd::OnWndMsg(unsigned int message=273, unsigned int wParam=57665, long lParam=0, long * pResult=0x03b3e694) Line 2108 C++
     HRDLogbook.exe!CXTPCommandBarsSiteBase<CMDIFrameWnd>::OnWndMsg(unsigned int message=273, unsigned int wParam=57665, long lParam=0, long * pResult=0x03b3e694) Line 191 C++
     HRDLogbook.exe!CWnd::WindowProc(unsigned int message=273, unsigned int wParam=57665, long lParam=0) Line 2094 C++
     HRDLogbook.exe!AfxCallWndProc(CWnd * pWnd=0x0f131040, HWND__ * hWnd=0x0007121e, unsigned int nMsg=273, unsigned int wParam=57665, long lParam=0) Line 282 C++
     HRDLogbook.exe!AfxWndProc(HWND__ * hWnd=0x0007121e, unsigned int nMsg=273, unsigned int wParam=57665, long lParam=0) Line 435 C++
     [External Code]
     HRDLogbook.exe!CXTPHookManager::HookWndProc(HWND__ * hWnd=0x0007121e, unsigned int message=273, unsigned int wParam=57665, long lParam=0) Line 267 C++
     [External Code]
     HRDLogbook.exe!CWnd::SendMessageW(unsigned int message=273, unsigned int wParam=57665, long lParam=0) Line 32 C++
     HRDLogbook.exe!NotifyExecute(CXTPControl * pControl=0x0b7e5940, CWnd * pOwner=0x0f131040) Line 699 C++
     HRDLogbook.exe!CXTPControl::OnExecute() Line 912 C++
     HRDLogbook.exe!CXTPControlButton::OnLButtonUp(CPoint __formal={...}) Line 52 C++
     HRDLogbook.exe!CXTPCommandBar::OnLButtonUp(unsigned int nFlags=0, CPoint point={...}) Line 460 C++
     HRDLogbook.exe!CWnd::OnWndMsg(unsigned int message=514, unsigned int wParam=0, long lParam=18088025, long * pResult=0x03b3f2b4) Line 2596 C++
     HRDLogbook.exe!CXTPCommandBar::OnWndMsg(unsigned int message=514, unsigned int wParam=0, long lParam=18088025, long * pResult=0x03b3f2b4) Line 2416 C++
     HRDLogbook.exe!CWnd::WindowProc(unsigned int message=514, unsigned int wParam=0, long lParam=18088025) Line 2094 C++
     HRDLogbook.exe!AfxCallWndProc(CWnd * pWnd=0x0b7e21a0, HWND__ * hWnd=0x00041216, unsigned int nMsg=514, unsigned int wParam=0, long lParam=18088025) Line 282 C++
     HRDLogbook.exe!AfxWndProc(HWND__ * hWnd=0x00041216, unsigned int nMsg=514, unsigned int wParam=0, long lParam=18088025) Line 435 C++
     [External Code]
     HRDLogbook.exe!CXTPHookManager::HookWndProc(HWND__ * hWnd=0x00041216, unsigned int message=514, unsigned int wParam=0, long lParam=18088025) Line 267 C++
     [External Code]
     HRDLogbook.exe!AfxInternalPumpMessage() Line 181 C++
     HRDLogbook.exe!CWinThread::PumpMessage() Line 900 C++
     HRDLogbook.exe!CWinThread::Run() Line 629 C++
     HRDLogbook.exe!CWinApp::Run() Line 787 C++
     HRDLogbook.exe!AfxWinMain(HINSTANCE__ * hInstance=0x00090000, HINSTANCE__ * hPrevInstance=0x00000000, wchar_t * lpCmdLine=0x03c531c0, int nCmdShow=10) Line 47 C++
     HRDLogbook.exe!wWinMain(HINSTANCE__ * hInstance=0x00090000, HINSTANCE__ * hPrevInstance=0x00000000, wchar_t * lpCmdLine=0x03c531c0, int nCmdShow=10) Line 26 C++
     [External Code]
TagsNo tags attached.
ModuleLogbook
Sub-Module(select)
Testing Beta Successful

Relationships

Activities

K7ZCZ

2017-07-24 19:01

manager   ~0003729

fixed with this change set:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/3694

g3ucq

2017-07-29 03:50

viewer   ~0003774

Confirm the fix

WA9PIE

2017-08-05 18:13

administrator   ~0003902

All completed during the 670 build/release.

Issue History

Date Modified Username Field Change
2017-07-24 18:57 K7ZCZ New Issue
2017-07-24 18:57 K7ZCZ Status new => assigned
2017-07-24 18:57 K7ZCZ Assigned To => K7ZCZ
2017-07-24 19:01 K7ZCZ Status assigned => resolved
2017-07-24 19:01 K7ZCZ Resolution open => fixed
2017-07-24 19:01 K7ZCZ Note Added: 0003729
2017-07-27 17:56 K7ZCZ Fixed in Version => 6.4.0.667
2017-07-29 03:50 g3ucq Note Added: 0003774
2017-08-02 14:31 WA9PIE Testing Not Started => Beta Successful
2017-08-05 18:09 WA9PIE Fixed in Version 6.4.0.667 => 6.4.0.670
2017-08-05 18:10 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-08-05 18:13 WA9PIE Note Added: 0003902
2017-08-05 18:13 WA9PIE Status resolved => closed
2017-08-05 18:27 WA9PIE Fixed in Version 6.4.0.670 => 6.4.0.671